Bug 437980 - kernel warnings from mac80211 in
kernel warnings from mac80211 in
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 11:15 EDT by Scott R. Godin
Modified: 2008-05-27 10:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.24.7-92.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 10:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2008-03-18 11:15:41 EDT
Description of problem: noticed warnings in /var/log/messages today from the 
kernel, relating to mac80211 


Version-Release number of selected component (if applicable):
2.6.24.3-34.fc8

How reproducible: unknown


Steps to Reproduce:
1. unknown
  
Actual results:
Mar 18 09:49:05 localhost kernel: WARNING: at net/mac80211/rx.c:2184 
__ieee80211_rx() (Tainted: P       ) 
Mar 18 09:49:05 localhost kernel: Pid: 0, comm: swapper Tainted: P        
2.6.24.3-34.fc8 #1 
Mar 18 09:49:05 localhost kernel:  [<eea0cf11>] __ieee80211_rx+0x85/0x576 
[mac80211] 
Mar 18 09:49:05 localhost kernel:  [<c05c1f8e>] __kfree_skb+0x8/0x61 
Mar 18 09:49:05 localhost kernel:  [<ee9fd71a>] ieee80211_tx_status+0x2e9/0x2f1 
[mac80211] 
Mar 18 09:49:05 localhost kernel:  [<ee9fea04>] ieee80211_tasklet_handler+0x50/
0xea [mac80211] 
Mar 18 09:49:05 localhost kernel:  [<c04336aa>] tasklet_action+0x58/0xb8 
Mar 18 09:49:05 localhost kernel:  [<c04335c2>] __do_softirq+0x66/0xd3 
Mar 18 09:49:05 localhost kernel:  [<c040759a>] do_softirq+0x6c/0xce 
Mar 18 09:49:05 localhost kernel:  [<c0446d4b>] tick_do_update_jiffies64+0x93/
0xa8 
Mar 18 09:49:05 localhost kernel:  [<c0441e54>] ktime_get+0xf/0x2b 
Mar 18 09:49:05 localhost kernel:  [<c0461dfb>] handle_fasteoi_irq+0x0/0xa6 
Mar 18 09:49:05 localhost kernel:  [<c0433485>] irq_exit+0x38/0x6b 
Mar 18 09:49:05 localhost kernel:  [<c040769b>] do_IRQ+0x9f/0xb8 
Mar 18 09:49:05 localhost kernel:  [<c0403e31>] default_idle+0x0/0x55 
Mar 18 09:49:05 localhost kernel:  [<c0405bbf>] common_interrupt+0x23/0x28 
Mar 18 09:49:05 localhost kernel:  [<c0403e31>] default_idle+0x0/0x55 
Mar 18 09:49:05 localhost kernel:  [<c0421fb8>] native_safe_halt+0x2/0x3 
Mar 18 09:49:05 localhost kernel:  [<c0403e6a>] default_idle+0x39/0x55 
Mar 18 09:49:05 localhost kernel:  [<c0403653>] cpu_idle+0xac/0xcd 
Mar 18 09:49:05 localhost kernel:  [<c07509df>] start_kernel+0x336/0x33e 
Mar 18 09:49:05 localhost kernel:  [<c07500e0>] unknown_bootoption+0x0/0x195
Mar 18 09:49:05 localhost kernel:  =======================

Expected results:
"" 
:-)

Additional info:

if there's anything I can do to obtain more information for you please let me 
know.

the current ethernet devices installed are as follows:
$ lspci | egrep -i '(network|ethernet)'
00:04.0 Ethernet controller: nVidia Corporation nForce Ethernet Controller (rev 
c2)
01:06.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)
01:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/
8139C+ (rev 10)
Comment 1 John W. Linville 2008-05-05 12:06:41 EDT
I believe this problem was resolved some time ago.  Are you you still seeing 
it with a current kernel?
Comment 2 Bug Zapper 2008-05-14 02:41:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott R. Godin 2008-05-25 16:12:12 EDT
no longer seeing these as of kernel-2.6.24.7-92.fc8

Note You need to log in before you can comment on or make changes to this bug.